import semver from 'semver';
import Result from 'true-myth/result';
import Unit from 'true-myth/unit';
export function validateVersionNumber(options) {
    if (options.unreleased) {
        return Result.ok(Unit);
    }
    const versionNumber = options.versionNumber.value;
    if (versionNumber.length === 0) {
        return Result.err(new TypeError('version-number not specified'));
    }
    if (semver.valid(versionNumber) === null) {
        return Result.err(new Error('version-number is invalid'));
    }
    return Result.ok(Unit);
}
//# sourceMappingURL=version-number.js.map